<?php

namespace Config;

// Create a new instance of our RouteCollection class.
$routes = Services::routes();

// Load the system's routing file first, so that the app and ENVIRONMENT
// can override as needed.
if (file_exists(SYSTEMPATH . 'Config/Routes.php')) {
    require SYSTEMPATH . 'Config/Routes.php';
}

/*
 * --------------------------------------------------------------------
 * Router Setup
 * --------------------------------------------------------------------
 */
$routes->setDefaultNamespace('App\Controllers');
$routes->setDefaultController('Home');
$routes->setDefaultMethod('index');
$routes->setTranslateURIDashes(false);
$routes->set404Override();
$routes->setAutoRoute(true);

/*
 * --------------------------------------------------------------------
 * Route Definitions
 * --------------------------------------------------------------------
 */

// We get a performance increase by specifying the default
// route since we don't have to scan directories.
// $routes->get('/', 'Home::index');

$routes->group('', ['filter' => 'auth'], function ($routes) {
    $routes->get('/home', 'Home::index'); // Akses Home harus login
    $routes->get('/profil', 'profil::index');
    $routes->get('/jabatan', 'Jabatan::index');
    $routes->get('/jeniscuti', 'JenisCuti::index');
    $routes->get('/pengajuancuti', 'PengajuanCuti::index');
    $routes->get('/unitkerja', 'UnitKerja::index');
    $routes->get('/laporan', 'Laporan::pengajuanCuti');
});
// $routes->get('/', 'Users::index');
// $routes->get('logout', 'Users::logout');

$routes->get('/', 'Auth::login'); // Halaman utama diarahkan ke login
$routes->post('auth/processLogin', 'Auth::processLogin'); // Proses login
$routes->get('logout', 'Auth::logout'); // Logout user

// $routes->get('settings/getSettingsNoLevel', 'Settings::getSettingsNoLevel');
$routes->get('auth/getSettingsNoLevel', 'Auth::getSettingsNoLevel');

$routes->get('/user/atasan-unit/(:num)', 'User::getAtasanByUnit/$1');




/*
 * --------------------------------------------------------------------
 * Additional Routing
 * --------------------------------------------------------------------
 *
 * There will often be times that you need additional routing and you
 * need it to be able to override any defaults in this file. Environment
 * based routes is one such time. require() additional route files here
 * to make that happen.
 *
 * You will have access to the $routes object within that file without
 * needing to reload it.
 */
if (file_exists(APPPATH . 'Config/' . ENVIRONMENT . '/Routes.php')) {
    require APPPATH . 'Config/' . ENVIRONMENT . '/Routes.php';
}
